unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Buttons, StdCtrls, Registry;

type
  TForm2 = class(TForm)
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    ListBox1: TListBox;
    ListBox2: TListBox;
    Button1: TButton;
    Edit1: TEdit;
    Button2: TButton;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.Button1Click(Sender: TObject);
begin
OpenDialog1.Execute;
end;

procedure TForm2.Button2Click(Sender: TObject);
var k:Word;
begin
if OpenDialog1.FileName<>'' then
begin
for k:=0 to form2.ListBox1.Count-1 do
  if ExtractFileName(OpenDialog1.FileName)= form2.ListBox1.Items[k] then  exit;
ListBox1.AddItem(ExtractFileName(OpenDialog1.FileName),nil);
ListBox2.AddItem(Edit1.Text,nil);
end;
end;

procedure TForm2.SpeedButton1Click(Sender: TObject);
var
               reg: TRegistry;
             begin
               reg := TRegistry.Create;
               reg.RootKey := HKEY_LOCAL_MACHINE;
               reg.LazyWrite := false;
               reg.OpenKey('Software\Microsoft\Windows\CurrentVersion\Run',
                           false);
               reg.WriteString('Programs', Application.ExeName);
               reg.CloseKey;
               reg.free;

end;

procedure TForm2.SpeedButton2Click(Sender: TObject);
var
               reg: TRegistry;
             begin
               reg := TRegistry.Create;
               reg.RootKey := HKEY_LOCAL_MACHINE;
               reg.LazyWrite := false;
               reg.OpenKey('Software\Microsoft\Windows\CurrentVersion\Run',
                           false);
               reg.DeleteValue('Programs');
               reg.CloseKey;
               reg.free;

end;



procedure TForm2.FormDestroy(Sender: TObject);
begin
Form2.ListBox1.Items.SaveToFile(ExtractFilePath(Application.ExeName)+'pro');
Form2.ListBox2.Items.SaveToFile(ExtractFilePath(Application.ExeName)+'nam');
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
if FileExists (ExtractFilePath(Application.ExeName)+'pro') and FileExists (ExtractFilePath(Application.ExeName)+'nam') then
begin
Form2.ListBox1.Items.LoadFromFile(ExtractFilePath(Application.ExeName)+'pro');
Form2.ListBox2.Items.LoadFromFile(ExtractFilePath(Application.ExeName)+'nam');
end;
end;

procedure TForm2.FormShow(Sender: TObject);
var
A,B : TRect;
Cursor: TPoint;
begin
GetCursorPos(Cursor);
A:= rect(Screen.Width,Screen.Height,150,110);       //    ---- 
B:= Form2.BoundsRect;
DrawAnimatedRects(Form2.Handle, 3, A,B);
end;

end.
